/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __SMSSEND_H__
#define __SMSSEND_H__

#if defined __MACH__ && defined __APPLE__
#define __unix__
#endif

#include <skyutils.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>
//#include <unistd.h>

#define SMSSEND_VERSION "3.4"
#define SMSSEND_URL_SCRIPTS "http://zekiller.skytech.org/fichiers/smssend/"

#ifdef _WIN32
#define DATADIR "C:\\Program Files\\SkyTech\\"
#define SMSSEND_SHAREPATH DATADIR "SmsSend"
#else
#define DATADIR "/usr/share"
#define SMSSEND_SHAREPATH DATADIR "/smssend"
#endif

#define RUNTIME_URL    0
#define RUNTIME_PARAMS 1
#define RUNTIME_HOST   2
#define RUNTIME_DATA   3

typedef struct
{
  SU_PList Search; /* SMS_PSearch */
  SU_PList NoAdd; /* char * */
} SMS_TActUser, *SMS_PActUser;

typedef struct
{
  char *String;
  char *Msg;
  int Group;
  int Error;
} SMS_TSearch, *SMS_PSearch;

typedef struct
{
  char *Name;
  char *Value;
  char *Help;
  char *Alias;
  int Hidden;
  int Size;
  int Convert;
} SMS_TParam, *SMS_PParam;

typedef struct
{
  char *URL;
  char *Params;
  char *Host;
  char *Data;
} SMS_TRunTime, *SMS_PRunTime;

typedef struct
{
  SU_PCookie Cookie;
  int Phase;
} SMS_TCookie, *SMS_PCookie;

typedef struct
{
#ifndef __unix__
  char *Path;
#endif
  int NbParams;
  SMS_TParam *Params;
  SU_PList Act;     /* SU_PHTTPActions */
  SU_PList RunTime; /* SMS_PRunTime */
  SU_PList Cookies; /* SMS_PCookie */
} SMS_TProvider, *SMS_PProvider;

void GetHostFromURL(const char *URL,char Host[],int Length,bool proxy,char URL_OUT[],int *PortConnect,const char OtherHost[]);

#endif

